Subject: Re: 答复: Progressing the three inter-domain I-Ds

From: ZhangRenhai <[email-masked]>
Date: Thu, 18 Jan 2007 12:16:16 +0800

Hi,

On Jan 16, 2007, at 11:11 PM, ZhangRenhai wrote:

After reading these docs I also have the same concern with you
about inter-ASBR links flooding.
I think, in oder to perform  inter-AS path computation, inter-ASBR
links fooding is desired.
As pointed out in the document, this is not a MUST, but an optimization. 
But
such kind of inter-ASBR link info should include more information
than "normal" TE links do,
e.g: the inter-ASBR links info SHOULD still include the peer AS
number and peer ASBR router id
besides those link info which has been specified in rfc3630 and
rfc3784.
I don't think that the peer AS number info should be included in the
IGP for sure. You should rely on BGP for that purpose.
[ZhangRenhai>] maybe BGP is not enough for some circumstance, take this 
scenario for example:

                     /  ASBR4
ASBR1--------ASBR2--
                    \  ASBR3
------AS 1----------||-----AS 2----------

ASBR2 in AS 1
In your example, both ASBR1 and ASBR2 are in AS1 ?[ZhangRenhai>]Yes. let me try to make the graph more clear.                     /  ASBR4
ASBR1--------ASBR2
                   \  ASBR3
|-----AS 1-----|        |-----AS 2----------

would only advertise the optimal route
 I guess that you're referring to the BGP route here.
[ZhangRenhai>]Yes, as you said above:"You should rely on BGP for that purpose". I think BGP would be suitable for PCE method if all ASBRs in a AS are connected to the PCE.  however, by per-domain, see below graph for example:                    /  ASBR4 [AS 3]
ASBR1--------ASBR2
                   \  ASBR3 [AS 2]
|-----AS 1-----|        
 if the ASBR3 and ASBR4 belong to different AS but send the same route to ASBR2, then ASBR2 would send only the optimal(through AS 2) one to ASBR1. When ASBR1 receives a path mesg with an ERO AS3, it will fail because ASBR1 has no this info.
received respectively
from ASBR3 and ASBR4 (both are from AS 2) to ASBR1, ASBR1 also doesn't have the full knowledge of topology(such as which AS the ASBR2 is connected to 
and which router is in that AS)between the two AS.

.... This is IP Inter-AS routing ... 
With the per-domain approach (inter-AS), 
BGP can of course be used, thus all necessary information for ASBR selection is available. 
[ZhangRenhai>]I'm not sure. 

PCE would have the
similar problem when performing the brpc.
Another issue, when ASBR1 receives a path mesg from upstream domain
containing a loose ERO:AS number(say AS2), there should be a method for it 
to locate the asbr(say ASBR2) in the local domain connected to AS2.

I don't see the scenario you're referring to ...[ZhangRenhai>]still the above graph, and the ero may be a sequence of AS number, for example, ...AS1, AS2... then the ASBR1 should know how to forword this path mesg to that domain, which ASBR in AS 1 should it forward, compute to. Zhang Renhai 
JP.

Regards,
Zhang Renhai

So I think there need a document to clarify and specify inter-ASBR
links flooding. we are considering to
write such a document. If someone interested in such work, we could
cooperate.

JP.